#!/bin/bash
# pom
VERSIONDATE="17-10-2557"
DIR1=${HOME}/scripts
AREA=${1}

  while true ; do


      a="editclientsconf" 
      b="editimap-authen" 
      c="editmy-authen"  
      d="editpreblacklist" 
      e="editviplist"     
      f="editcheck-ad-ldap"   
      g="restartradiusserver"       




    dialog --colors --backtitle "PSU12-Sritrang(${VERSIONDATE})-($0)-${AREA}" --title "freeradius management in \Zb\Z1${AREA}\Zn" \
       --menu "\Zb\Z1${AREA} \Zn: Select your job \Zb\Z1($0)\Zn" 0 80 13 \
      $a  "(1) edit shared secret in file clients.conf" \
      $b  "(2) edit imap-authen.sh to select user database" \
      $c  "(3) edit my-authen.sh to allow all or some user" \
      $d  "(4) edit preblacklist.txt to block any username" \
      $e  "(5) edit viplist.txt if CHECK_VIPLIST='"YES"'" \
      $f  "(6) edit check-ad-ldap.php if AUTHEN_AD_LDAP='"YES"'" \
      $g  "(7) restart freeradius server only if do debugging" \
       2> menuchoice.$$
    
    if [ "$?" != "0" ] ; then
      break ;
    fi
    MODE=$(cat menuchoice.$$)
    case "${MODE}" in
     $a) 
        bash ${DIR1}/$a.sh
        ;;
     $b) 
        bash ${DIR1}/$b.sh
        ;;
     $c) 
        bash ${DIR1}/$c.sh
        ;;
     $d) 
        bash ${DIR1}/$d.sh
        ;;
     $e) 
        bash ${DIR1}/$e.sh
        ;;
     $f) 
        bash ${DIR1}/$f.sh
        ;;
     $g) 
        bash ${DIR1}/$g.sh
        ;;
    esac
  done

rm -f menuchoice.*
