#!/bin/bash

#  makezonedialog 2-9
# pom  2-6-57


dialog --clear --backtitle $0 --title "makezone 2-9" \
--menu "select make zone" 0 0 0 \
"2" "zone 2" \
"3" "zone 3" \
"4" "zone 4" \
"5" "zone 5" \
"6" "zone 6" \
"7" "zone 7" \
"8" "zone 8" \
"9" "zone 9" 2> menuchoice.$$
if [ $? != 0 ] ; then
  exit
fi
choice=$(cat menuchoice.$$)
   case $choice in
      1) zone=1 ;;
      2) zone=2 ;;
      3) zone=3 ;;
      4) zone=4 ;;
      5) zone=5 ;;
      6) zone=6 ;;
      7) zone=7 ;;
      8) zone=8 ;;
      9) zone=9 ;;
   esac
dir1=/var/lib/tftpboot
dir2=$dir1/zone$zone
  if [ -d $dir2 ] ;then
       dialog --colors --backtitle $0 --yesno "\Zb\Z1     zone$zone already exists\Zn : Do you want to make zone$zone ?  " 6 60
       if [ $? != 0 ] ; then
             exit
       fi
  fi
cp -r ${dir1}/zone${zone}  ${dir1}/xzone${zone}.$(date +%F)
bash /root/makezone.sh $zone
dialog --backtitle $0 --msgbox "         make zone ${zone} finish" 6 50
rm -f menuchoice.*
