#!/bin/bash
#pom 1-6-57
URL1=mirrors.psu.ac.th
TITLE1="Change URL in /etc/apt/sources.list"
tempfile=`tempfile 2>/dev/null` || tempfile=/tmp/test$$
trap "rm -f $tempfile" 0 1 2 5 15
dialog --backtitle "$0" \
       --colors --title "${TITLE1}" \
       --inputbox "\nInput URL" 10 50 ${URL1}  2> $tempfile
if [ $? != 0 ] ; then
  exit
fi
clear
URL2=$(cat $tempfile)
FILE1=/etc/apt/sources.list.th.archive.ubuntu.com
FILE2=/etc/apt/sources.list
sed 's/th.archive.ubuntu.com/'${URL2}'/g' ${FILE1} > ${FILE2}

dialog --colors --backtitle "$0" --title "${TITLE1}" \
--msgbox "\n ${TITLE1} \n From : \Zb\Z1 th.archive.ubuntu.com \Zn \n To : \Zb\Z1${URL2}\Zn\n!!!....finish....!!! " 10 60
dialog --textbox ${FILE2} 20 80
