#!/bin/sh
# updated 2554-03-28 WIPAT
# updated 2557-6-26 WISIT

if [ -z ${1} ]  || [ -z ${2} ] || [ -z ${3} ] || [ -z ${4} ]   ;then
   echo "Usage:    bash $0   MYSERVER   NAMESERVER1  NAMERSERVER2   ROUTERS"
   echo "Example:  bash $0 192.168.11.12 192.100.77.5 192.100.77.2 192.168.11.1"
   exit
fi
echo $(date +%F-%H%M%S,$0,$1,$2,$3,$4) >> ${HOME}/firsteasyconfig.txt
TEMP1="/tmp/easy-config-temp1.$$"
MYSERVER=${1}
NAMESERVER1=${2}
NAMESERVER2=${3}
ROUTERS=${4}
MYFILE="/var/www/cloning/*
/var/www/sysresccd/autorun1
/var/lib/tftpboot/pxelinux.cfg/*
/var/lib/tftpboot/zone*/*
${HOME}/backuppxezone/pxelinux.cfg.master/*
${HOME}/backuppxezone/zone*/*"



for LINE in ${MYFILE} ; do
  sed "s/[0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*/${MYSERVER}/g" \
   ${LINE} > ${TEMP1}
  echo "cp -f ${TEMP1} ${LINE}"
  sudo cp -f ${TEMP1} ${LINE}
done 

DATE1=$(date +%F)
MYNETWORK=$(echo ${MYSERVER}|cut -d'.' -f1,2,3)
MYFILE="/etc/dhcp/dhcpd.conf  /etc/network/interfaces /etc/network/interfaces.fix  /etc/network/interfaces.dhcp"

for LINE in ${MYFILE} ; do
                 sudo cp ${LINE}.variable ${LINE}
  sed -e "s/[0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\./${MYNETWORK}\./g" \
      -e "s/NETMASK/255.255.255.0/g" \
      -e "s/NAMESERVER1/${NAMESERVER1}/g" \
      -e "s/NAMESERVER2/${NAMESERVER2}/g" \
      -e "s/ROUTERS/${ROUTERS}/g" \
      -e "s/NEXTSERVER/${MYSERVER}/g" ${LINE} > ${TEMP1} 
  sudo cp -f ${TEMP1} ${LINE}
  if [ ${LINE} = /etc/dhcp/dhcpd.conf ] ; then
	  sudo cp -f ${TEMP1} ${LINE}.master
	  sudo cp -f ${TEMP1} ${LINE}.master.original
  fi
done

MYFILE="/etc/shorewall/rules ${HOME}/scripts/shutdown* ${HOME}/scripts/getfile*  ${HOME}/scripts/send* "
for LINE in ${MYFILE} ; do
  sed "s/[0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\./${MYNETWORK}\./g" ${LINE} > ${TEMP1}
  echo "cp -f ${TEMP1} ${LINE}"
sudo cp -f ${TEMP1} ${LINE}
done 
rm -f ${TEMP1}

sed -i '/start on runlevel/ s/#//g' /etc/init/isc-dhcp-server.conf
bash /root/scripts/networkfix.sh
#bash /root/scripts/countdown2.sh
seq 200000 -1 1 | dialog --progressbox  "count down to shutdown" 5 30  ; dialog --infobox "    bye bye " 5 20
reboot
