#!/bin/bash
# pom 14-10-56
PROGRAM1=$1
TITLE1="${PROGRAM1} Client"
#FILE1=$(dialog --stdout --backtitle "$0" \
#       --colors --title "\Zb\Z1${TITLE1}\Zn Please choose a file : \Zb\Z1Spacebar to select\Zn"  --fselect ${HOME}/  10 70 )

DRIVE0=/cygdrive/c/Users/Administrator/Desktop
DRIVE1=/home/prnews/getfile

   if [ ! -d ${DRIVE1} ] ; then
      mkdir -p ${DRIVE1}
   fi

tempfile=`tempfile 2>/dev/null` || tempfile=/tmp/test$$
trap "rm -f $tempfile" 0 1 2 5 15

dialog --backtitle "$0" --title "${PROGRAM1} from windows"  \
--colors --form "\n Copy file from Windows to Server" 20 80 16 \
"Windows Path: " 1 1 "${DRIVE0}" 1 15 70 100 \
"Server  Path: " 2 1 "${DRIVE1}" 2 15 70 100  2> $tempfile

retval=$?

case $retval in
  0)
    echo "Enter pressed.";;
  1)
    echo "Cancel pressed."
    exit 
    ;;
  255)
     echo "ESC pressed."
    exit
    ;;
esac
clear

DRIVE0=$(head -1 ${tempfile})
DRIVE1=$(tail -1 ${tempfile})
FILE2=$2
USER1=Administrator
DASH1=$(perl -e "printf '-' x 80")
for IP1 in $(cat ${FILE2} | awk '{print $1}')
   do
#--------------------
 echo ${DASH1}
 echo "$0 ${IP1}"
	 echo "scp -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no     -r   ${USER1}@${IP1}:${DRIVE0}  ${DRIVE1}"
	 scp -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no     -r   ${USER1}@${IP1}:${DRIVE0}  ${DRIVE1} > /dev/null 2>&1 & 
 echo "$0 ${IP1} finish  "
 echo ${DASH1}
#--------------------
   done
dialog --colors --backtitle "$0" --title "\Zb\Z1${PROGRAM1}\Zn finish" \
 --textbox ${FILE2} 20 60
