#!/bin/bash

# updated by WIPAT 2553-06-15

# updated by WIBOON 

# updated by pom 21-7-57

VERSIONDATE=$(date +%F)

DIR1=${HOME}/scripts

#bash ${DIR1}/checkversionscripts.sh
TEMP1="/tmp/mystart-temp1.$$"
TEMP2="/tmp/mystart-temp2.$$"
TEMPALL="/tmp/mystart-temp*.$$"
DIALOGOPTS="--backtitle PSU12-Sritrang(${VERSIONDATE})-($0)"
ZONEDIR="/var/lib/tftpboot"
MESSAGE="${DIALOGOPTS} --colors --menu \"Select ZONE \Zb\Z1($0)\" 0 50 11"
ZONELIST=$(ls -d ${ZONEDIR}/zone*|sed -s "s;${ZONEDIR}/;;g")
echo -n "${MESSAGE}"  > ${TEMP2}
for ID in ${ZONELIST} ; do
  NUM=$(echo "${ID}"|sed -s "s/zone//")
  echo -n " ${NUM} ${ID} " >> ${TEMP2}
done

while true ; do
  dialog --file ${TEMP2} 2>${TEMP1}
  AREA=$?
  if [ "${AREA}" != "0" ] ; then
    rm -f ${TEMPALL}
    clear
    exit
  fi
  AREA=$(cat ${TEMP1})
  
  while true ; do
    a=updatescripts
    b=importdvdintoserver
    c=downloadreportticker
    d=reporttickergenall
    e=reporttickerchangeip1
    f=freeradiusmanagement
    g=printlabelipmac
    h=restartdhcpserver
    i=stopdhcpserver
    j=restarttftpd-hpaserver
    k=stoptftpd-hpaserver
    dialog ${DIALOGOPTS} --colors  --clear \
      --menu "\Zb\Z1zone${AREA}\Zn : Select your job \Zb\Z1($0)" 0 0 0 \
      "----server management----"        "--------------------------------"\
      "macmanageinzone"                  "edit,view,gen mac address" \
      "papa"                             "login papa control menu" \
      "sshkeygenforserver"               "gen key for server" \
      "sshkeysendtoclient"               "send key to client" \
      "deleteknownhost"                  "delete ${HOME}/.ssh/known_hosts" \
      "stopdhcpserver"                   "stop dhcp server" \
      "restartdhcpserver"                "restart dhcp server" \
      "makezonedialog"                   "makezone 2 to 9" \
      "othermenu"                        "shutdown,sendmessage,sendfile,sendkey" \
      "----------prnews--------------"   "--------------------------------"\
      "installprnewsforpsu12-sritrang"   "installprnews" \
      "copyimagetopsu-12-jpg"            "change prnews quickly" \
      "uninstallprnewsforpsu12-sritrang" "uninstallprnews" \
      "--------update--------------------"   "--------------------------------"\
      "ntpdatetimesetting"               "ntpdate time setting" \
      "updateubuntu"                     "update and dist-upgrade ubuntu" \
      "changesourceslist"                "change url in sources.list" \
      "$a"                               "update scripts psu12-sritrang" \
      "----------report--------------"   "--------------------------------"\
      "$c"                               "download report scripts" \
      "$d"                               "generate all report" \
      "$e"                               "change ip all report scripts" \
      "-----diskless+freeradius------"   "--------------------------------"\
      "$b"                               "import DVD into server" \
      "$f"                               "freeradius management" \
      "-----start/stop service-------"   "--------------------------------"\
      "$h"                               "restart dhcp server" \
      "$i"                               "stop dhcp server" \
      "$j"                               "restart tftpd-hpa server" \
      "$k"                               "stop tftpd-hpa server" \
      "----------miscellaneous-------"   "--------------------------------"\
      "calendar"                         "show calendar" \
      "$g"                               "print label ip mac" \
    2>$TEMP1
    MODE=$?
    if [ "${MODE}" != "0" ] ; then
      break ;
    fi
    MODE=$(cat ${TEMP1})
    case "${MODE}" in
#-------------------------------------
     macmanageinzone)
        bash ${DIR1}/macmanageinzone.sh  zone${AREA}
        ;;
     papa)
        clear
        ssh papa@localhost
        ;;
     sshkeygenforserver)
        bash ${DIR1}/sshkeygenforserver.sh
        ;;
     sshkeysendtoclient)
        bash ${DIR1}/sshkeysendtoclient.sh 
        ;;
     deleteknownhost) 
        bash ${DIR1}/deleteknownhost.sh
        ;;
     stopdhcpserver)
        bash ${DIR1}/stopdhcpserver.sh 
        ;;
     restartdhcpserver)
        bash ${DIR1}/restartdhcpserver.sh 
        ;;
     makezonedialog) 
        bash ${DIR1}/makezonedialog.sh  
        ;;
     othermenu) 
        bash ${DIR1}/othermenu.sh  zone${AREA}
        ;;
#-------------------------------------
     installprnewsforpsu12-sritrang)
        bash ${DIR1}/installprnewsforpsu12-sritrang.sh zone${AREA}
        ;;
     copyimagetopsu-12-jpg)
        bash ${DIR1}/copyimagetopsu-12-jpg.sh
        ;;
     uninstallprnewsforpsu12-sritrang)
        bash ${DIR1}/uninstallprnewsforpsu12-sritrang.sh zone${AREA}
        ;;
#-------------------------------------
     ntpdatetimesetting)
        bash ${DIR1}/ntpdatetimesetting.sh 
        ;;
     updateubuntu)
        bash ${DIR1}/updateubuntu.sh 
        ;;
     changesourceslist)
        bash ${DIR1}/changesourceslist.sh 
        ;;
     $a) 
        bash ${DIR1}/$a.sh  
        ;;
#-------------------------------------
     $b) 
        bash ${DIR1}/$b.sh  
        ;;
     $c) 
        bash ${DIR1}/$c.sh  
        ;;
     $d) 
        bash ${DIR1}/$d.sh  
        ;;
     $e) 
        bash ${DIR1}/$e.sh  
        ;;
     $f) 
        bash ${DIR1}/$f.sh  
        ;;
#-------------------------------------
     $h) 
        bash ${DIR1}/$h.sh  
        ;;
     $i) 
        bash ${DIR1}/$i.sh  
        ;;
     $j) 
        bash ${DIR1}/$j.sh  
        ;;
     $k) 
        bash ${DIR1}/$k.sh  
        ;;
#-------------------------------------
     calendar)
        bash ${DIR1}/calendar.sh 
        ;;
     $g) 
        bash ${DIR1}/$g.sh  
        ;;
    esac
  done
done

rm -f ${TEMPALL}
