#!/bin/bash
# reportticker in time / overtime 
# pom 21-8-57
ip1=$(ifconfig eth0|grep "inet addr"|cut -d':' -f 2|cut -d' ' -f 1)
unit=FMS
#ip1=172.27.203.1
ipx=$(echo $ip1 | cut -d\. -f1,2)
dash1=$(perl -e "printf '-' x 140")
date2=$(date +%d)
date3=$(date +%m+%Y)
date7=$(date +%B+%Y)
year1=$(date +%Y)
month1=$(date +%m)
time1=163000
month1=06
date2=30
date3=$(date --date=$year1$month1$date2 +%m-%Y)
date7=$(date --date=$year1$month1$date2 +%B-%Y)

dir1=/var/www/test/report-intime-overtime
  if  [ ! -d $dir1 ]  ; then
      mkdir -p $dir1
  fi
dir2=$dir1/intime
  if  [ ! -d $dir2 ]  ; then
      mkdir -p $dir2
  fi
dir3=$dir1/overtime
  if  [ ! -d $dir3 ]  ; then
      mkdir -p $dir3
  fi
file1=$dir1/$date3.html

cat /dev/null > $file1

echo "<center> Report in time / overtime : <font color = blue>$unit</font> : <font color = red >$date7</font><br>" >> $file1
echo "<center> in time = before 16:30:00 / overtime = after 16:30:00<br>" >> $file1
echo "<center> <a href=http://$ip1/test/report-intime-overtime>home<br><br>" >> $file1
echo "<center> <table border = 1 >" >> $file1


#pom
echo "<center> <table border = 1 >" >> $file1
echo "<tr><td> <center>date </td> <td> <center>in time </td> <td><center> overtime </td></tr>" >> $file1

countintime1=0
countovertime1=0
#-----------------------------------

for day2 in $(seq -f "%02g"  ${date2})
do
date4=$day2-$month1-$year1
date5=$year1$month1$day2
date6=$date5$time1
date1=$(date --date=$date5 +%a-%d-%B-%Y)
date8=$(date --date=$date5 +%a)
file2=$dir2/$date4.txt  #intime
file3=$dir3/$date4.txt  #overtime
cat /dev/null > $file2
cat /dev/null > $file3
#-------------------------------------------
# list intime to file 
countintime=$(grep -rihP  ":$date5" /var/www/ticker/datalog/$year1/$month1/$day2 | sort -t\: -n -k2 | awk -F: '$8 <= '$date6'' | wc -l)
echo $date1 - in time = $countintime > $file2
echo $dash1 >> $file2

grep -rihP  ":$date5" /var/www/ticker/datalog/$year1/$month1/$day2 | sort -t\: -n -k2 | awk -F: '$8 <= '$date6'' | cat -n >> $file2

echo $dash1 >> $file2
#-------------------------------------------------------


# list overtime to file
countovertime=$(grep -rihP  ":$date5" /var/www/ticker/datalog/$year1/$month1/$day2 | sort -t\: -n -k2 | awk -F: '$8 > '$date6'' | wc -l)
echo $date1 - overtime time = $countovertime > $file3
echo $dash1 >> $file3
grep -rihP  ":$date5" /var/www/ticker/datalog/$year1/$month1/$day2 | sort -t\: -n -k2 | awk -F: '$8 > '$date6'' | cat -n  >> $file3

echo $dash1 >> $file3


countintime1=$(expr $countintime1 + $countintime)
countovertime1=$(expr $countovertime1 + $countovertime)
#-------------------------------------------------------
# table show on web


            intime="<a href=http://$ip1/test/report-intime-overtime/intime/$date4.txt>$countintime</a>"
            overtime="<a href=http://$ip1/test/report-intime-overtime/overtime/$date4.txt>$countovertime</a>"

            case  $date8 in
                  Sat)color=violet;;
                  Sun)color=red;;
                  *)color=white;;
            esac
            echo "<tr><td bgcolor = $color><center> $date1 </td> <td><center> $intime </td> <td><center> $overtime </td></tr>" >> $file1

done


#---summary--------------

 
            echo "<tr><td bgcolor=green><center> summary </td> <td bgcolor = yellow><center> $countintime1 </td> <td bgcolor = red><center> $countovertime1 </td></tr>" >> $file1
 
echo "</table>" >> $file1
