#!/bin/bash
# updated by WIPAT 2553-06-15
# updated by WIBOON 
# updated by pom 3-6-57
VERSIONDATE="$(date +%F)"
DIR1=${HOME}/scripts
AREA=${1}

  while true ; do
    a=copyolddhcpdconftoserver
    b=viewdhcpdconf
    c=editdhcpdconf
    d=restartdhcpserver
    dialog --colors --backtitle "PSU12-Sritrang(${VERSIONDATE})-($0)-${AREA}" --title "mac management in \Zb\Z1${AREA}\Zn" \
       --menu "\Zb\Z1${AREA} \Zn: Select your job \Zb\Z1($0)\Zn" 0 80 13 \
      "--------------------"   "\Zb\Z1--- for 1st time editing (auto mode) ----------\Zn" \
      "maceditdhcpdconfmaster" "(1) edit dhcpd.conf.master" \
      "maceditmaconlyinzone"   "(2) edit mac only in zone" \
      "macgenfullformatinzone" "(3) gen mac in dhcpd.conf,restart,go papa" \
      "$b"                     "(4) view only dhcpd.conf" \
      "--------------------"   "\Zb\Z1--- for existing dhcpd.conf (manual mode) -----\Zn" \
      "$a"                     "(A) copy old dhcpd.conf to server" \
      "$b"                     "(B) view only dhcpd.conf" \
      "$c"                     "(C) edit dhcpd.conf" \
      "$d"                     "(D) restart dhcp server" \
       2> menuchoice.$$
    
    if [ "$?" != "0" ] ; then
      break ;
    fi
    MODE=$(cat menuchoice.$$)
    case "${MODE}" in
     maceditdhcpdconfmaster)
        bash ${DIR1}/maceditdhcpdconfmaster.sh
        ;;
     maceditmaconlyinzone)
        bash ${DIR1}/maceditmaconlyinzone.sh ${AREA}
        ;;
     macgenfullformatinzone)
        bash ${DIR1}/macgenfullformatinzone.sh ${AREA}
        ;;
     $a)
	clear
        bash ${DIR1}/$a.sh 
        ;;
     $b)
        clear
        bash ${DIR1}/$b.sh 
        ;;
     $c)
        clear
        bash ${DIR1}/$c.sh 
        ;;
     $d)
        clear
        bash ${DIR1}/$d.sh 
        ;;
    esac
  done

rm -f menuchoice.*
