#!/bin/bash

# edit dhcpd.conf
# pom  1-6-57 


dialog --clear --backtitle "($0)" --title "edit dhcpd.conf" \
--menu "select your favorite editor" 12 60 6 \
vim "vim editor" \
nano "nano editor" \
pico "pico editor" 2> menuchoice.$$
case $? in
   0)echo OK;;
   1)exit;;
   255)exit;;
esac
choice=$(cat menuchoice.$$)
   case $choice in
      vim) editor1=vim ;;
      nano) editor1=nano ;;
      pico) editor1=pico ;;
   esac

FILE1=/etc/dhcp/dhcpd.conf
cp ${FILE1} ${FILE1}.$(date +%F-%H%M%S)
$editor1  ${FILE1}
rm -f menuchoice.*
