#!/bin/bash

# updated by WIPAT 2553-10-11

# updated by WIBOON 
# pom



VERSIONDATE="2556-12-17"

if [ -z "${1}" ] ; then
  echo "which zone?"
  exit
else
  MYAREA="${1}"
fi
#----------------


DIR1=${HOME}/scripts
TEMP1="/tmp/bootmenu-temp1.$$"
TEMP2="/tmp/bootmenu-temp2.$$"
TEMP3="/tmp/bootmenu-temp3.$$"
TEMP4="/tmp/bootmenu-temp4.$$"
#TEMP5="/tmp/bootmenu-temp5.$$"
TEMPALL="/tmp/bootmenu-temp*.$$"
LISTS="/etc/dhcp/dhcpd.conf"
# get PC list from DHCP 
grep "host" ${LISTS}|grep -v "#"|grep "${MYAREA}" > ${TEMP2}
while read LINE ; do
  PCLIST=$(echo ${LINE}|awk '{print $8" "$2"="$6" off "}'|\
   sed "s/;//g"|sed "s/}//")
  echo ${PCLIST} >> ${TEMP4} 
  PCMENU=$(echo "${PCMENU} ${PCLIST}")
done < ${TEMP2}


#-----------------------------

while true; do  

TEMP5="/tmp/bootmenu-temp5.$$"
cat /dev/null > ${TEMP5}
DIALOGOPTS="--backtitle PSU12-Sritrang(${VERSIONDATE})-($0)-${MYAREA}"
MESSAGE="${DIALOGOPTS} --colors --menu \"\Zb\Z1${MYAREA}\Zn : select your job \Zb\Z1($0)\" 0 60 12 "
echo "${MESSAGE}"  > ${TEMP3}
echo '1 "Shutdown shutdownspecial.sh" \' >> ${TEMP3}
echo '2 "Restart restartspecial.sh" \' >> ${TEMP3}
echo '3 "Sendmessage sendmessagespecial.sh" \' >> ${TEMP3}
echo '4 "Sendfile sendfilespecial.sh" \' >> ${TEMP3}
echo '5 "Getfile getfilespecial.sh" \' >> ${TEMP3}
echo '6 "Wakeonlan wakeonlanspecial.sh" \' >> ${TEMP3}
echo '7 "Changetime changetimespecial.sh" \' >> ${TEMP3}
echo '8 "Sendkey sendkeyspecial.sh" \' >> ${TEMP3}
echo '9 "Stopdns stopdnsspecial.sh" \' >> ${TEMP3}
echo '10 "Startdns startdnsspecial.sh" \' >> ${TEMP3}
dialog --file ${TEMP3} 2>${TEMP1}
#------------------------

BOOTPART=$?
if [ "${BOOTPART}" != "0" ] ; then
  rm -f ${TEMPALL}
  exit
fi
BOOTPART=$(cat ${TEMP1})
#-----------------


MYBOOT=$(grep "^${BOOTPART}" ${TEMP3}|cut -d'"' --output-delimiter="" -f 1-2)
MYBOOT2=$(echo ${MYBOOT} | awk '{print $2}')
MYBOOT3=${DIR1}/$(echo ${MYBOOT} | awk '{print $3}')


dialog ${DIALOGOPTS} --backtitle "$0" --colors  \
  --checklist " ${MYAREA} \Zb\Z1($0)\Zn : Choose IP: \Zb\Z1${MYBOOT2}\Zn " 0 70 10 \
  ALL${MYAREA} "ALL ${MYAREA}" off \
  ${PCMENU} \
2>$TEMP1

#pom------------------------


for LINE in $(cat ${TEMP1}) ; do
  PC=$(echo ${LINE}|cut -d'"' -f 2)
  if [ "${PC}" = "ALL${MYAREA}" ] ; then
    a=${TEMP4}
  else 
    a=${TEMP5}
    grep ${PC} ${TEMP4} >> $a
  fi
done
    bash ${MYBOOT3} ${MYBOOT2}  $a ${MYAREA}
done
rm -f $TEMPALL
