#!/bin/bash
#pom 11-10-56
TITLE1="Send File to All Client"
FILE1=$(dialog --stdout --backtitle "$0" \
       --colors --title "\Zb\Z1${TITLE1} Please choose a file : Spacebar to select"  --fselect ${HOME}/  10 70 )
case $? in
   0) 
	echo "\"${FILE1}\" chosen";;
   1)
	echo "Cancel pressed." ; exit ;;
   255)
	echo "Esc pressed." ; exit ;;
esac
#--------------
TEMP1="/tmp/ip-temp1.$$"
TEMPALL="/tmp/ip-temp*.$$"
LISTS="/etc/dhcp/dhcpd.conf"
MYAREA=zone1
# get PC list from DHCP 
grep "host" ${LISTS}|grep -v "#"|grep "${MYAREA}" |awk '{print $8}' |  sed "s/;//g"|sed "s/}//" | cut -d\. -f4 | sort -t. -n -k1,1 -k2,2 -k3,3 -k4,4> ${TEMP1}
IPSTART=$(head -1 ${TEMP1})
IPSTOP=$(tail -1 ${TEMP1})
IPALL=${IPSTART}-${IPSTOP}
rm -f ${TEMPALL}
#--------------
IP0=10.0.100.${IPALL}
IP1=$(dialog --stdout --backtitle "$0" \
             --colors --title "\Zb\Z1 ${TITLE1}" \
             --inputbox "\nInput Client IP Address : " 10 70 ${IP0})
case $? in
   0) 
	echo "Client IP Address = \"${IP1}\"";;
   1)
	echo "Cancel pressed." ; exit ;;
   255)
	echo "Esc pressed." ; exit ;;
esac
clear
DRIVE1=/cygdrive/c
USER1=Administrator
DASH1=$(perl -e "printf '-' x 80")


IP2=$(echo $IP1 | cut -c1-3)
a=$(nmap -sP $IP1 | grep $IP2 | awk '{print $5}')
for i in $a
 	do
 		 echo ${DASH1}
		 echo $0  ${FILE1} ${IP1}                                          
		 echo ${DASH1}
		 scp -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no     -r  $FILE1  $USER1@$i:$DRIVE1
	done
dialog --backtitle "$0" --colors --title "\Zb\Z1 ${TITLE1}" \
--msgbox "\n Send File :  \Zb\Z1$FILE1\Zn \n To : \Zb\Z1$IP1\Zn \n\n !!!....finish....!!!" 10 70 
