#!/bin/bash
#--------------
TEMP1="/tmp/ip-temp1.$$"
TEMPALL="/tmp/ip-temp*.$$"
LISTS="/etc/dhcp/dhcpd.conf"
MYAREA=zone1
# get PC list from DHCP 
grep "host" ${LISTS}|grep -v "#"|grep "${MYAREA}" |awk '{print $8}' |  sed "s/;//g"|sed "s/}//" | cut -d\. -f4 | sort -t. -n -k1,1 -k2,2 -k3,3 -k4,4> ${TEMP1}
IPSTART=$(head -1 ${TEMP1})
IPSTOP=$(tail -1 ${TEMP1})
IPALL=${IPSTART}-${IPSTOP}
rm -f ${TEMPALL}
#--------------
IP1=10.0.100.${IPALL}
MESSAGE1="Computer will be shutdown Please save your data"

tempfile=`tempfile 2>/dev/null` || tempfile=/tmp/test$$
trap "rm -f $tempfile" 0 1 2 5 15


dialog --backtitle "$0" --colors --title "Send Message All client" \
--form "\n \Zb\Z1Input IP Address , Message to send to client\Zn" 25 70 16 \
"IP Address : " 1 1 "${IP1}" 1 15 50 50 \
"Message : " 2 1 "${MESSAGE1}" 2 15 50 50 \
2>$tempfile

retval=$?

case $retval in
  0)
    echo "Enter pressed."
    ;;
  1)
    echo "Cancel pressed."
    exit 
    ;;
  255)
      echo "ESC pressed."
    exit
    ;;
esac
clear
IP1=$(head -1 $tempfile)
MESSAGE1=$(tail -1 $tempfile)
USER1=Administrator
TIME1=300  # 60 sec x 5 min = 300 = time1   ,  60 sec x 10 min = 600 = time1
DASH1=$(perl -e "printf '-' x 80")
#---------------------

		IP2=$(echo $IP1 | cut -c1-3)
		a=$(nmap -sP $IP1 | grep $IP2 | awk '{print $5}')
		for i in $a
		 	do
				 echo ${DASH1}
			         echo "$0 ${MESSAGE1} $i"
				 echo ${DASH1}
				 ssh -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no                 $USER1@$i "shutdown -s -t '$TIME1' /c '${MESSAGE1}' ; sleep 10 ; shutdown -a"

			done

#-----------------
		 echo ${DASH1}
                 echo "  $0 ${MESSAGE1} ${IP1} finish thank you very much "
		 echo ${DASH1}
dialog --backtitle "$0" --title "Send Message finish" \
--colors --msgbox "\n Send Message \Zb\Z1$IP1\Zn \n\n !!!....finish....!!!" 10 50
